Additional Group Assigned with Completely New Users
    • Dark
      Light

    Additional Group Assigned with Completely New Users

    • Dark
      Light

    Article summary

    When Additional Group or Group 2 is assigned to the Entra SCIM App and all users in the group are new (not part of any previously assigned group), the following happens:

    • Entra sends a GET /Users request to check whether the users already exist in Campaign Manager.

    • Since the users are new, Entra sends POST /Users requests to create them in Campaign Manager.. Each user is created with Group 2 as their initial role, using a placeholder role at this stage.

    • Entra sends a PATCH /Groups/{Group2} request with the user details to add them to the group:

      {
        "op": "Add",
        "path": "members",
        "value": [{ "value": "<userEmail>" }]
      }
      

    • Campaign Manager. processes the patch request and replaces the placeholder role with Group 2 for each user. As a result, all new users are created and assigned Group 2 as their role in Campaign Manager.


    Was this article helpful?

    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.